
/* Montserrat Fonts */
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Montserrat", sans-serif;
}

body {
    user-select: none;

}

p {
    line-height: 1.8;
}
section .container-fluid, nav .container-fluid {
    width: 94%;
    max-width: 77.5rem !important;
    margin-left: auto;
    margin-right: auto;
}
.link-custom {
    color: #06e204;
    text-underline-offset: 0.5rem;
    text-decoration: underline;
}
.link-custom:hover {
    color: #212529;
}
.link-dark:hover {
    color: #06e204 !important;
}

/* a:hover, a.link-dark:hover {*/
/*    color: #06e204 !important;*/
/*} */
#hero-sec,
#about-me {
    margin-top: 5rem;
    margin-bottom: 5rem;
}
.hero-img {
    filter: grayscale(100%);
    bottom: 3%;
    right: 3%;
}
.box {
    border-right: 3px solid #212529;
    border-bottom: 3px solid #212529;
    height: 25rem;
    width: 25rem;
}

.box-about-me {
    border-right: 3px solid #212529;
    border-bottom: 3px solid #212529;
    height: 32rem;
    width: 25rem;
}
.about-img {
    filter: grayscale(100%);
    bottom: 2.5%;
    right: 3%;
}
/* Tooltip */
.tooltip {
    position: relative;
    display: inline-block;
    cursor: pointer;
    opacity:1;
}
  
.tooltip .tooltiptext {
    text-align: center;
    font-size: 1.5rem;
    border-radius: 6px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    top: -12px;
    right: -25%;
    transform: rotate(-22deg);
}
  
.tooltip:hover .tooltiptext {
    visibility: visible;
}
  
.wave {
  animation-name: wave-animation;
  animation-duration: 2.5s;
  animation-iteration-count: infinite;
  transform-origin: 70% 70%;
  display: inline-block;
}


@keyframes wave-animation {
    0% { transform: rotate( -20.0deg) }
   10% { transform: rotate(10.0deg) }
   20% { transform: rotate(-20.0deg) }
   30% { transform: rotate(5.0deg) }
   40% { transform: rotate(-20.0deg) }
   50% { transform: rotate(0.0deg) }
   60% { transform: rotate( -20.0deg) }
}

.social-icons {
    border: 1px solid #212529;
    border-left: 0;
    border-top: 0;
    padding: 0 0.4rem 0.3rem 0;
}

.navbar-brand {
    color: #06e204;
}

.nav-link:focus, .nav-link:hover {
    color: #06e204;
}



.navbar-nav .nav-link.active, .navbar-nav .nav-link.show {
     color: #06e204;
     text-decoration: underline;
     text-underline-offset: 0.5rem;
}

.getintouch-p {
    font-size: 1.25rem;
}

    /* Typing animation */
    .typing-animation {
        overflow: hidden;
        white-space: nowrap;
        border-right: 2px solid #00ff00;
        width: auto;
        display: inline-block;
    }
        /* macOS window title bar style */
    #terminal-output {
        border-top-left-radius: 10px;
        background-color: #000;
        padding: 1.5rem 0 0;
        position: relative;
        overflow: hidden;
        max-width: 700px;
        min-height: 300px;
        margin-left: auto;
        margin-right: auto;
    }
    #terminal-output p {
        color: #06e204;
        line-height: 1.7;
        margin-bottom: 0;
    }
    #terminal-output p:nth-child(2) {
      margin-bottom: 1rem; /* Reset margin to default */
    }
    #terminal-output a {
    	color: #06e204;
    	text-decoration: unset;
    }
    #terminal-output a:hover {
        color: #fff;
    }
    div#terminal-output2 {
    padding: 0.4rem 0 0 0.4rem;
}
    .mac-title-bar {
        border-top: 1px solid #7E7E7E;
        border-left: 1px solid #7E7E7E;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 27px;
        background-color: #363636;
        border-top-left-radius: 10px;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        padding: 0 2.5px;
    }
    .mac-title-bar span {
        font-size: 14px;
        color: #e6e6e6;
    }
    .mac-btn {
        width: 14px;
        height: 12px;
        border-radius: 50%;
        background-color: #FF5E58;
        margin-left: 5px;
    }
    .mac-btn.yellow { background-color: #FBBD2C; }
    .mac-btn.green { background-color: #27C93F; }
    .mac-btn:hover { opacity: 0.8; }
@media (max-width: 1199.98px) {
    section .container-fluid, nav .container-fluid {
        width: 100% !important;
        margin: unset;
        padding-left: 2rem;
        padding-right: 2rem;
    }
}

@media (max-width: 991.98px) {
    #hero-sec,
    #about-me {
        margin-top: unset;
        margin-bottom: unset;
    }
}

@media (max-width: 767.98px) {
    section .container-fluid, nav .container-fluid {
        width: 100% !important;
        margin: unset;
        padding-left: 1rem;
        padding-right: 1rem;
    }
    .link-custom {
        text-underline-offset: 0.4rem;
    }
    #get-in-touch {
        margin-right: 0.3rem;
        margin-left: 0.3rem;
    }
    .getintouch-p {
        font-size: 0.938rem;
    }
}

@media (max-width: 575.98px) {
   .skills {
       font-size: 14px;
       font-weight: 500;
   }
}
